package com.srs.quiltmaker.android.ui;

import java.util.Properties;


import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;

import com.srs.quiltmaker.android.OrderCompleteActivity;
import com.srs.quiltmaker.android.ui.bean.Layer;
import com.srs.quiltmaker.android.util.StateStorageUtil;

public class OrderDetailNextClickListener  implements OnClickListener {

	private Context ctxt;
	private Layer layer;

	public OrderDetailNextClickListener(Context c, Layer l) {
		ctxt = c;
		layer = l;
	}

	public void onClick(View arg0) {

		Properties appProps = StateStorageUtil.getStateData(ctxt);
		appProps.setProperty("currentStep","orderNow");
					
		StateStorageUtil.saveStateData(ctxt,appProps);
		
		Intent intent = new Intent();
		intent.setClass(ctxt, OrderCompleteActivity.class);
		ctxt.startActivity(intent);
	}

}

