package com.srs.quiltmaker.research;

import java.util.Vector;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Gallery;
import android.widget.ImageView;

import com.srs.quiltmaker.android.R;
import com.srs.quiltmaker.research.bean.QuiltBackgroundItem;

public class ImageAdapter extends BaseAdapter {
    int mGalleryItemBackground;
    private Context mContext;
    
    private Vector itemVector= new Vector();

//    private Integer[] mImageIds = {
//            R.drawable.sample_1,
//            R.drawable.sample_2,
//            R.drawable.sample_3,
//            R.drawable.sample_4,
//            R.drawable.sample_5,
//            R.drawable.sample_6,
//            R.drawable.sample_7
//    };

    public ImageAdapter(Context c) {
        mContext = c;
//        TypedArray a = obtainStyledAttributes(android.R.styleable.Theme);
//        mGalleryItemBackground = a.getResourceId(
//                android.R.styleable.Theme_galleryItemBackground, 0);
//        a.recycle();

    }

    public int getCount() {
        return itemVector.size();
    }

    public Object getItem(int position) {
        return position;
    }

    public long getItemId(int position) {
        return position;
    }

    public View getView(int position, View convertView, ViewGroup parent) {
        ImageView i = new ImageView(mContext);

        QuiltBackgroundItem bkgrnd = (QuiltBackgroundItem) itemVector.get(position);
        Bitmap img=BitmapFactory.decodeFile(QuilteMaker.APP_DATA_ROOT + bkgrnd.getBackgroundThumFile());
        i.setImageBitmap(img);
        i.setLayoutParams(new Gallery.LayoutParams(150, 100));
        i.setScaleType(ImageView.ScaleType.FIT_XY);
        //i.setBackgroundResource(mGalleryItemBackground);
        i.setBackgroundResource(R.raw.backgroud);
        i.setPadding(6,6,6,6);
        
        
//        if(position==0)
//        {
//	        Bitmap img=BitmapFactory.decodeFile("/data/data/com.srs.android.quiltmaker/clip_art_cell.png");
//	        i.setImageBitmap(img);
//	        //i.setImageResource(mImageIds[position]);
//	        i.setLayoutParams(new Gallery.LayoutParams(150, 100));
//	        i.setScaleType(ImageView.ScaleType.FIT_XY);
//	        //i.setBackgroundResource(mGalleryItemBackground);
//	        i.setBackgroundResource(R.raw.gallery_background);
//	        i.setPadding(6,6,6,6);
//        }
//
//        if(position==1)
//        {
//	        Bitmap img=BitmapFactory.decodeFile("/data/data/com.srs.android.quiltmaker/hotsun.png");
//	        i.setImageBitmap(img);
//	        //i.setImageResource(mImageIds[position]);
//	        i.setLayoutParams(new Gallery.LayoutParams(150, 100));
//	        i.setScaleType(ImageView.ScaleType.FIT_XY);
//	        //i.setBackgroundResource(mGalleryItemBackground);
//	        i.setBackgroundResource(R.raw.gallery_background);
//	        i.setPadding(6,6,6,6);
//        }
//        if(position==2)
//        {
//	        Bitmap img=BitmapFactory.decodeFile("/data/data/com.srs.android.quiltmaker/clip_art_cell.png");
//	        i.setImageBitmap(img);
//	        //i.setImageResource(mImageIds[position]);
//	        i.setLayoutParams(new Gallery.LayoutParams(150, 100));
//	        i.setScaleType(ImageView.ScaleType.FIT_XY);
//	        //i.setBackgroundResource(mGalleryItemBackground);
//	        i.setBackgroundResource(R.raw.gallery_background);
//	        i.setPadding(6,6,6,6);
//        }
        return i;
    }

	public Vector getItemVector() {
		return itemVector;
	}

	public void setItemVector(Vector itemVector) {
		this.itemVector = itemVector;
	}
    
}