package com.srs.quiltmaker.research;

import android.os.Handler;
import android.widget.ProgressBar;
import android.widget.TextView;

public class SampleThread extends Thread {

	Handler mHandler;
	TextView tv;
	UIUpdateRunnable uiRunable;
	
	SampleThread(Handler hand,TextView tv,ProgressBar pb) {
		mHandler = hand;
		this.tv = tv;
		uiRunable = new UIUpdateRunnable(tv,pb);
	}
	
	public void run() {
		
		for(int i=0;i<10;i++) {
			try {
				Thread.sleep(6000);
			} catch (InterruptedException e) { }

			mHandler.post(uiRunable);
			
		}
		
		uiRunable.setDoneFlg(true);
		mHandler.post(uiRunable);
	}
}
