package com.srs.quiltmaker.android;

import java.util.Properties;


import com.srs.quiltmaker.android.ui.bean.Layer;
import com.srs.quiltmaker.android.ui.bean.QuiltBackgroundItem;
import com.srs.quiltmaker.android.util.StateStorageUtil;

import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;

public class ResetClickListener implements OnClickListener {

	private Context ctxt;
	private Layer layer;
	
	protected ResetClickListener(Context c,Layer l) {
		ctxt = c;
		layer = l;
	}
	
	public void onClick(View arg0) {
		
		// re write state storage, resetting app data back to origional state.
		StateStorageUtil.createNewProperties(ctxt);
		Intent intent = new Intent();
		intent.setClass(ctxt,BackgroundSelectionActivity.class);
		ctxt.startActivity(intent);
	}

}
