package com.srs.quiltmaker.android.ui;

import java.util.Vector;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Gallery;
import android.widget.ImageView;

import com.srs.quiltmaker.android.ui.bean.QuiltBackgroundItem;

public class BackgroundGaleryAdaptor extends BaseAdapter {

    int mGalleryItemBackground;
    private Vector itemVector = new Vector();
    private Context mContext;

    public BackgroundGaleryAdaptor(Context c) {
        mContext = c;
    }

    public Vector getItemVector() {
		return itemVector;
	}

	public void setItemVector(Vector itemVector) {
		this.itemVector = itemVector;
	}

	public int getCount() {
		return itemVector.size();
    }

    public Object getItem(int position) {
        return position;
    }

    public long getItemId(int position) {
        return position;
    }

    public View getView(int position, View convertView, ViewGroup parent) {

        //ImageView i = new ImageView(mContext);
        //i.setImageResource(mImageIds[position]);
        //i.setScaleType(ImageView.ScaleType.FIT_XY);

    	ImageView i = new ImageView(mContext);
    	QuiltBackgroundItem qbi = (QuiltBackgroundItem) itemVector.get(position); 
    	Bitmap img = BitmapFactory.decodeFile(qbi.getRootDirectory() + "/" + qbi.getBackgroundThumFilename());
    	i.setImageBitmap(img);
        i.setLayoutParams(new Gallery.LayoutParams(100, 88));

        // The preferred Gallery item background
        //i.setBackgroundResource(mGalleryItemBackground);
        i.setBackgroundColor(0xFFd6d6d6);

        return i;
    }

}