package com.srs.quiltmaker.android.ui;

import java.util.Properties;


import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;

import com.srs.quiltmaker.android.OrderDetailsActivity;
import com.srs.quiltmaker.android.ui.bean.Layer;
import com.srs.quiltmaker.android.util.StateStorageUtil;

public class GreetingsSelectionNextClickListener implements OnClickListener {
	
	private Context ctxt;
	private Layer layer;

	public GreetingsSelectionNextClickListener(Context c, Layer l) {
		ctxt = c;
		layer = l;
	}

	public void onClick(View arg0) {

		Properties appProps = StateStorageUtil.getStateData(ctxt);
		appProps.setProperty("currentStep","orderDetailsSelect");
		//			
		// QuiltBackgroundItem item = (QuiltBackgroundItem)
		// layer.getLayerData();
		// if(item != null) {
		// item.storeToAppState(appProps,"background");
		// }
		//			
		StateStorageUtil.saveStateData(ctxt,appProps);

		Intent intent = new Intent();
		intent.setClass(ctxt, OrderDetailsActivity.class);
		ctxt.startActivity(intent);
	}

}
