package com.srs.quiltmaker.research;

import javax.crypto.interfaces.PBEKey;

import android.widget.ProgressBar;
import android.widget.TextView;

public class UIUpdateRunnable implements Runnable {

	TextView tv;
	ProgressBar pb=null;
	int iteration=1;
	boolean doneFlg=false;
	
	public UIUpdateRunnable(TextView tv,ProgressBar pb) {
		this.tv = tv;
		this.pb = pb;
	}
	
	public boolean isDoneFlg() {
		return doneFlg;
	}

	public void setDoneFlg(boolean doneFlg) {
		this.doneFlg = doneFlg;
	}

	public void run() {
		if(doneFlg) {
            //---0 - VISIBLE; 4 - INVISIBLE; 8 - GONE---
			pb.setVisibility(4);
			pb.invalidate();
		}
		else {
			tv.setText("Now Updating #" + iteration++);
			tv.invalidate();
		}
	}
}
